Delete sequence
curl --request DELETE \
--url https://api.hubapi.com/automation/sequences/2026-09-beta/serviceaccounts/sequences/{sequenceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/sequences/2026-09-beta/serviceaccounts/sequences/{sequenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/sequences/2026-09-beta/serviceaccounts/sequences/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Sequences
Delete sequence
Delete a specific sequence in your HubSpot account using its unique identifier. This operation will remove the sequence and can optionally override active enrollments if specified. Please note: the scopes for this endpoint requires user-level access and will not work for existing apps with portal-level access.
DELETE
/
automation
/
sequences
/
2026-09-beta
/
serviceaccounts
/
sequences
/
{sequenceId}
Delete sequence
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the sequence to delete.
Query Parameters
A boolean indicating whether to override active enrollments when deleting the sequence.
Response
Last modified on August 31, 2026
Was this page helpful?